

(
	Global gammaChanger
 
	try (destroyDialog GammaChanger) catch()
 
	rollout GammaChanger "CGway Gamma Changer" width:160 height:144
	(
		spinner spn_Gm_Val "Gamma : " pos:[35,62] width:91 height:16 range:[0.01,2.2,1.8] type:#float scale:0.01
		GroupBox grp2 "Bitmap Files" pos:[4,85] width:154 height:57
		spinner in_Gamma "Input Gamma    " pos:[22,101] width:133 height:16 range:[0.01,5,2.2] scale:0.01
		spinner Out_Gamma "Output Gamma " pos:[22,120] width:133 height:16 range:[0.01,5,1] scale:0.01
		checkbutton EnbGamma "Enable Gamma/LUT" pos:[7,18] width:145 height:41
		GroupBox grp5 "Setting" pos:[3,1] width:154 height:83
 
 
		on GammaChanger open do
		(
			if IDisplayGamma.colorCorrectionMode == #gamma then 
				(
					EnbGamma.checked = true
					spn_Gm_Val.enabled = true
					in_Gamma.enabled = true			
					Out_Gamma.enabled = true

				)
				else
				(
					EnbGamma.checked = false
					spn_Gm_Val.enabled = false
					in_Gamma.enabled = false			
					Out_Gamma.enabled = false

				)
 
				spn_Gm_Val.value=IDisplayGamma.gamma	
				in_Gamma.value=fileInGamma
				Out_Gamma.value=fileOutGamma
		)
		on EnbGamma changed state do
		(
			if state == on then 
			(
				IDisplayGamma.colorCorrectionMode = #gamma
				IDisplayGamma.affectColorPickers = true -- disables Affect Color Selectors (to enable this option, use "true")
				IDisplayGamma.affectMEdit = true -- disables Affect Material Editor (to enable this option, use "true")
				IDisplayGamma.gamma = spn_Gm_Val.value
				fileInGamma = in_Gamma.value
				fileOutGamma = Out_Gamma.value
				spn_Gm_Val.enabled = true
				in_Gamma.enabled = true
				Out_Gamma.enabled = true
			)
				else 
			(
				IDisplayGamma.colorCorrectionMode = #none
				IDisplayGamma.affectColorPickers = false -- disables Affect Color Selectors (to enable this option, use "true")
				IDisplayGamma.affectMEdit = false -- disables Affect Material Editor (to enable this option, use "true")
				spn_Gm_Val.enabled = false
				in_Gamma.enabled = false			
				Out_Gamma.enabled = false
			)
		)
 
		on in_Gamma changed val do 
			(
			fileInGamma = in_Gamma.value
			)
 
		on Out_Gamma changed val do 
			(
			fileOutGamma = Out_Gamma.value
			)
 
		on spn_Gm_Val changed val do
			(
				IDisplayGamma.gamma = spn_Gm_Val.value
			)
	)
	CreateDialog GammaChanger 160 144 style:#(#style_toolwindow,#style_sysmenu)
)